//---------------------------------------------------------------------------
#ifndef Moochos_WheelHere_OptionsDialogUnit_H
#define Moochos_WheelHere_OptionsDialogUnit_H
//---------------------------------------------------------------------------
// OptionsDialogUnit.h
//
// Version: 1.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include "SettingsHandler.h"
//---------------------------------------------------------------------------
class TOptionsDialog : public TForm
{
__published:
	TButton* Button91;
	TButton* Button92;
	TButton* Button93;
	TCheckBox* CheckBox11;
	TCheckBox* CheckBox12;
	TCheckBox* CheckBox13;
	TCheckBox* CheckBox21;
	TGroupBox* GroupBox91;
	TGroupBox* GroupBox92;
	TLabel* Label21;
	void __fastcall Button93Click(TObject* ASender);
	void __fastcall CheckBox11Click(TObject* ASender);
	void __fastcall CheckBox12Click(TObject* ASender);
	void __fastcall CheckBox13Click(TObject* ASender);
	void __fastcall CheckBox21Click(TObject* ASender);
private:
	TSettings FBackup;
	bool FModified;
	TNotifyEvent FOnApply;
	void __fastcall Apply();
	void __fastcall Reset();
	void __fastcall BackUp();
	void __fastcall Restore();
	void __fastcall UpdateAccess();
	void __fastcall DoApply();
	TSettings __fastcall GetValue();
	void __fastcall SetValue(const TSettings& AValue);
	void __fastcall SetModified(bool AModified);
	void __fastcall SetOnApply(TNotifyEvent AOnApply);
	__property bool Modified = {read=FModified, write=SetModified};
protected:
	DYNAMIC void __fastcall DoShow();
	DYNAMIC void __fastcall DoHide();
public:
	virtual __fastcall TOptionsDialog(TComponent* AOwner);
	virtual __fastcall ~TOptionsDialog();
	bool __fastcall Execute();
	__property TSettings Value = {read=GetValue, write=SetValue};
	__property TNotifyEvent OnApply = {read=FOnApply, write=SetOnApply};
};
//---------------------------------------------------------------------------
extern PACKAGE TOptionsDialog* OptionsDialog;
//---------------------------------------------------------------------------
#endif

