//---------------------------------------------------------------------------
#ifndef Moochos_WheelHere_Wheeler_WindowSnap_H
#define Moochos_WheelHere_Wheeler_WindowSnap_H
//---------------------------------------------------------------------------
// WindowSnap.h
//
// Version: 1.0.0
// Author: Moochos
//---------------------------------------------------------------------------
namespace Moochos { namespace WheelHere { namespace Wheeler { namespace WindowSnap {
//---------------------------------------------------------------------------
class TWindowSnap
{
private:
	HWND FTargetWindow;
	HWND FMdiChildWindow;
	HWND FTopLevelWindow;
	HWND FOwnerWindow;
	HWND FModalWindow;
	bool FEnabled;
	bool FVisible;
	bool FWantsFocus;
	void Update(int AScreenX, int AScreenY);
	void UpdateTargetWindow(int AScreenX, int AScreenY);
	void UpdateTopLevelWindow();
	void UpdateOwnerWindow();
	HWND GetWindowAt(int AScreenX, int AScreenY);
protected:
public:
	TWindowSnap(int AScreenX, int AScreenY);
	TWindowSnap();
	~TWindowSnap();
	__property HWND TargetWindow = {read=FTargetWindow};
	__property HWND MdiChildWindow = {read=FMdiChildWindow};
	__property HWND TopLevelWindow = {read=FTopLevelWindow};
	__property HWND OwnerWindow = {read=FOwnerWindow};
	__property HWND ModalWindow = {read=FModalWindow};
	__property bool Enabled = {read=FEnabled};
	__property bool Visible = {read=FVisible};
	__property bool WantsFocus = {read=FWantsFocus};
};
//---------------------------------------------------------------------------
}}}} // End of namespace Moochos::WheelHere::Wheeler::WindowSnap
using namespace Moochos::WheelHere::Wheeler::WindowSnap;
//---------------------------------------------------------------------------
#endif

